### A free/open-source library for quantitative finance

Typedefs
Numeric types

## Typedefs

typedef Real | Probability
| probability
typedef QL_INTEGER | Integer
| integer number
typedef QL_BIG_INTEGER | BigInteger
| large integer number
typedef unsigned QL_INTEGER | Natural
| positive integer
typedef QL_REAL | Real
| real number
typedef Real | Decimal
| decimal number
typedef std::size_t | Size
| size of a container
typedef Real | Time
| continuous quantity with 1-year units
typedef Real | DiscountFactor
| discount factor between dates
typedef Real | Rate
| interest rates
typedef Real | Spread
| spreads on interest rates
typedef Real | Volatility
| volatility

## Detailed Description

A number of numeric types are defined in order to add clarity to function and method declarations.

## Typedef Documentation

typedef Real Probability

probability

typedef QL_INTEGER Integer

integer number

Examples:
  BermudanSwaption.cpp, Bonds.cpp, CallableBonds.cpp, CDS.cpp, ConvertibleBonds.cpp, DiscreteHedging.cpp, EquityOption.cpp, FittedBondCurve.cpp, FRA.cpp, Replication.cpp, Repo.cpp, and swapvaluation.cpp.

typedef QL_BIG_INTEGER BigInteger

large integer number

typedef unsigned QL_INTEGER Natural

positive integer

Examples:
  Bonds.cpp, CallableBonds.cpp, and FittedBondCurve.cpp.

typedef QL_REAL Real

real number

Examples:
  BermudanSwaption.cpp, Bonds.cpp, CallableBonds.cpp, CDS.cpp, ConvertibleBonds.cpp, DiscreteHedging.cpp, EquityOption.cpp, FittedBondCurve.cpp, FRA.cpp, Replication.cpp, Repo.cpp, and swapvaluation.cpp.

typedef Real Decimal

decimal number

typedef std::size_t Size

size of a container

typedef Real Time

continuous quantity with 1-year units

Examples:
  ConvertibleBonds.cpp, DiscreteHedging.cpp, and FittedBondCurve.cpp.

typedef Real DiscountFactor

discount factor between dates

Examples:
  DiscreteHedging.cpp.

typedef Real Rate

interest rates

Examples:
  BermudanSwaption.cpp, Bonds.cpp, CallableBonds.cpp, ConvertibleBonds.cpp, DiscreteHedging.cpp, EquityOption.cpp, FittedBondCurve.cpp, FRA.cpp, Repo.cpp, and swapvaluation.cpp.

typedef Real Spread

spreads on interest rates

Examples:
  ConvertibleBonds.cpp, EquityOption.cpp, and swapvaluation.cpp.

typedef Real Volatility

volatility

Examples:
  BermudanSwaption.cpp, Bonds.cpp, ConvertibleBonds.cpp, DiscreteHedging.cpp, and EquityOption.cpp.